Subject: Re: [RFC] [PATCH V2 0/3] bonding support for operation over IPoIB

From: "Or Gerlitz" <[email-masked]>
Date: Thu, 11 Jan 2007 17:03:13 +0200

Or Gerlitz wrote:
> This patch series is a second version (see below link to V1) of the suggested
> changes to the bonding driver such that it would be able to support non ARPHRD_ETHER
> netdevices for its High-Availability (active-backup) mode.
> 
> The motivation is to enable the bonding driver on its HA mode to work with the
> IP over Infiniband (IPoIB) driver. With these patches I was able to enslave
> IPoIB netdevices and run TCP, UDP, IP (UDP) Multicast and ICMP traffic with
> fail-over and fail-back working fine. My working env was the net-2.6.20 git.

> These patches are not enough for configuration of IPoIB bonding through tools
> (eg /sbin/ifenslave and /sbin/ifup) provided by packages such as sysconfig and
> initscripts, specifically since these tools sets the bonding device to be UP
> before enslaving anything. Once this patchset gets positive/feedback the next step
> would be to look how to enhance the tools/packages so it would be possible to
> bond/enslave with the modified code. As suggested by the bonding maintainer, this
> step can potentially involve converting ifenslave to be a script based on the bonding
> sysfs infrastructure rather on the somehow obsoleted Documentation/networking/ifenslave.c

Jay,

I would like to move forward and push the V2 patch series upstream 
through netdev and then start working on the configuration tools etc 
changes needed to support bonding IPoIB devices through non direct 
bonding sysfs scripts... are you OK with that?

If you agree to the push, who is doing this nowadays, is it Jeff Garzik 
or David Miller?

Roland - any other comments/concerns that you might have are very much 
appreciated.

Or.